Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.securechannel
Class RetryWithHttpEntryPoint

    java.lang.Object
      org.acegisecurity.securechannel.RetryWithHttpEntryPoint

All Implemented Interfaces:
  ChannelEntryPoint, InitializingBean

    public class RetryWithHttpEntryPoint

extends Object
implements InitializingBean, ChannelEntryPoint

Commences an insecure channel by retrying the original request using HTTP.

This entry point should suffice in most circumstances. However, it is not intended to properly handle HTTP POSTs or other usage where a standard redirect would cause an issue.

Version:
  $Id: RetryWithHttpEntryPoint.java,v 1.5 2005/11/17 00:55:50 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`RetryWithHttpEntryPoint()`

Method Summary
`void` | `afterPropertiesSet()`
`void` | `commence(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)` Commences a secure channel.
`PortMapper` | `getPortMapper()`
`PortResolver` | `getPortResolver()`
`void` | `setPortMapper(PortMapper portMapper)`
`void` | `setPortResolver(PortResolver portResolver)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RetryWithHttpEntryPoint

    public RetryWithHttpEntryPoint()

Method Detail

### setPortMapper

    public void setPortMapper(PortMapper portMapper)

### getPortMapper

    public PortMapper getPortMapper()

### setPortResolver

    public void setPortResolver(PortResolver portResolver)

### getPortResolver

    public PortResolver getPortResolver()

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

### commence

    public void commence(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response)
                  throws IOException,
                         javax.servlet.ServletException

  Description copied from interface: `ChannelEntryPoint`
  Commences a secure channel.

  Implementations should modify the headers on the `ServletResponse` as necessary to commence the user agent using the implementation's supported channel type.

  Specified by:
    `commence` in interface `ChannelEntryPoint`
  Parameters:
    `request` - that a `ChannelProcessor` has rejected
    `response` - so that the user agent can begin using a new channel
  Throws:
    `IOException`
    `javax.servlet.ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.